#!/usr/bin/env python

from flask import Flask, send_file
import os
import subprocess
from datetime import datetime

app = Flask(__name__)

SCREENSHOT_DIR = "/tmp/screenshots"
if not os.path.exists(SCREENSHOT_DIR):
    os.makedirs(SCREENSHOT_DIR)

@app.route('/')
def index():
    return send_file('index.html', mimetype='text/html')

@app.route('/screenshot')
def screenshot():
    timestamp = datetime.now().strftime('%Y%m%d_%H%M%S')
    screenshot_path = os.path.join(SCREENSHOT_DIR, f'screenshot_{timestamp}.png')

    subprocess.run(['scrot', screenshot_path])

    return send_file(screenshot_path, mimetype='image/png')

@app.route('/click/<int:x>/<int:y>')
def click(x, y):
    subprocess.run(['xdotool', 'mousemove', str(x), str(y), 'click', '1'])
    return f'Click performed at position ({x}, {y})'

if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0', port=5000)
